<?php get_header(); ?>
<!--Begin Widget Layout -->
	<?php if( get_option("ocmx_home_page_layout") == "widget" ) :
		if( is_active_sidebar('home') ) :
			if (function_exists('dynamic_sidebar') && dynamic_sidebar('home') );
		endif; 
		elseif( get_option("ocmx_home_page_layout") == "blog" ) :
			if( get_option("ocmx_home_page_categories") && get_option("ocmx_home_page_categories") !== 0 ):
				$use_catid = get_option("ocmx_home_page_categories");
				$fetch_category = get_category_by_slug($use_catid);
				$use_category = "cat=".$fetch_category->term_id."&";
			else :
				$use_category = "";
			endif;
			if ( is_paged() ) :
				query_posts( $use_category ."showposts=".get_option("ocmx_home_page_posts")."&paged=".get_query_var('paged') );
			elseif ( is_home() ) :
				query_posts( $use_category."showposts=".get_option("ocmx_home_page_posts") );
		endif; ?>
		<!-- End Widget Layout  / Begin Post List for Blog Homepage -->
        <div id="left-column">
		<?php if (have_posts()) :
				while (have_posts()) : the_post(); setup_postdata($post);
				//Fetch the Custom Metas for this post
				$args  = array( 'postid' => $post->ID, 'width' => 630, 'hide_href' => false, 'imglink' => false,  'exclude_video' => false, 'imgnocontainer' => true, 'resizer' => '630' );
				$image = get_obox_media( $args );
				$link = get_permalink( $post->ID ); 
		?>	
			<div class="post">
                <!--Show the Featured Image or Video -->		
                <?php if ($image !="") : ?>
                    <div class="image">
                        <?php echo $image; ?>
                    </div>
                <?php endif; ?>
				<!--Show the Excerpt -->
                <div class="copy clearfix">
					<h3 class="date">
						<?php if( get_option( "ocmx_meta_date" ) != "false" ) :  //Show the date unless unchecked in Theme Options ?>
                        	<?php echo the_time( get_option('date_format') ); endif; ?>, 
                        <?php if( get_option( "ocmx_meta_author" ) != "false" ) :  //Show the date unless unchecked in Theme Options ?>
                        	<?php _e("Posted by ", "ocmx"); ?> <?php the_author(); _e(" in ", "ocmx"); endif; ?> 
                        <?php the_category(", "); ?>
                        <?php if( comments_open( $post->ID ) && get_option("ocmx_meta_comments") != "false" ) :  //Show the date unless unchecked in Theme Options ?>
                        	<a id="comments-link" href="#comments"><?php comments_number(__(' 0 Comments','ocmx'),__(' 1 Comment','ocmx'),__(' % Comments','ocmx')); ?></a>
                        <?php endif; ?>
                    </h3>
                    <!--Show the Title -->
                    <h2 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
                    <?php if( $post->post_excerpt !== "" ) :
                            the_excerpt();
                        else :
                            the_content();
                        endif;
                    ?>
                </div>
			</div>
            <?php endwhile;
            else :
                ocmx_no_posts();
            endif; ?>
            <?php ocmx_pagination("page_button_content", "page_button_content clearfix"); ?>
    </div>
<?php get_sidebar(); ?>
    <!--End Blog Homepage Layout / Begin Preset Layout-->
	<?php else : 
	            /* SLIDER WIDGET */
            $feature_posts_widget = new press_slider_widget();
            $args = array( "name" => "Slider", "id" => "large-slider-widget" );
            $instance = array( "post_category" => get_option("ocmx_feature_post_cat"), "post_count" => get_option("ocmx_feature_post_count"), "randomize" => get_option("ocmx_feature_post_randomize"), "post_thumb" => false );
            $feature_posts_widget->widget( $args, $instance );
            
            /* WIDGET */
            $feature_posts_widget = new ocmx_recent_posts_widget();
            $args = array("name" => "Multi Column Widget", "id" => "ocmx_recent_posts_widget");
            $instance = array( "post_category" => get_option("ocmx_multi_col_cat"), "post_count" => get_option("ocmx_multi_col_count"), "randomize" => get_option("ocmx_multi_col_randomize"), "show_images" => "on", "post_thumb" => true, "show_excerpts" => "on" );
            $feature_posts_widget->widget($args, $instance);
            
            /* WIDGET */
            $feature_posts_widget = new dual_column_widget();
            $args = array("name" => "Dual Column Widget", "id" => "dual-column-widget");
            $instance = array("post_category" => get_option("ocmx_dual_col_cat"), "post_count" => get_option("ocmx_dual_col_count"), "randomize" => get_option("ocmx_dual_col_randomize"), "show_images" => "on", "post_thumb" => true, "show_excerpts" => "on");
            $feature_posts_widget->widget($args, $instance);
    endif; ?>
    
<?php get_footer(); ?>