<?php
global $obox_meta, $theme_options;

$theme_options = array();

$theme_options["general_site_options"] =
	array(
		array("label" => "Custom Logo <span>(179 x 38px)</span>", "description" => "Full URL or folder path to your custom logo.", "name" => "ocmx_custom_logo", "default" => "", "id" => "upload_button", "input_type" => "file", "args" => array("width" => 90, "height" => 75)),	
		array("label" => "Favicon", "description" => "Select a favicon for your site", "name" => "ocmx_custom_favicon", "default" => "", "id" => "upload_button_favicon", "input_type" => "file", "sub_title" => "favicon", "args" => array("width" => 16, "height" => 16)),			
		array("label" => "Color Options", "description" => "Select your desired colour option.", "name" => "ocmx_theme_style", "default" => "white-red", "id" => "", "input_type" => "select", "options" => array("White &amp; Red (Default)" => "white-red", "Cream Purple" => "cream-purple", "Black &amp; Blue" => "dark-blue", "Black &amp; Purple" => "dark-purple", "Black &amp; White" => "dark-white", "White &amp; Apple Green" => "white-apple-green","White &amp; Maroon" => "white-maroon")),
		array("label" => "Custom CSS", "description" => "Enter changed classes from the theme stylesheet, or custom CSS here.", "name" => "ocmx_custom_css", "default" => "", "id" => "ocmx_custom_css", "input_type" => "memo"),
		array("label" => "Home Page Images", "description" => "This will automatically generate an image for your posts on the home page if you have not specified an image in the 'Featured Image' field when adding/updating a post. Set to Yes only if using the Biz (Preset) homepage.", "name" => "ocmx_auto_home_images", "default" => "no", "id" => "", "input_type" => "select", "options" => array("Yes" => "yes", "No" => "no")),
		array(
			"main_section" => "Custom About Us",
			"main_description" => "Enter a Custom 'About Us' Description for the site Footer or use a description from an existing page.",
			"sub_elements" => 
				array(
					array("label" => "Choose Page", "description" => "(Takes priority)", "name" => "ocmx_about_us_page", "default" => 0, "id" =>  "ocmx_about_us_page", "input_type" => "select", "options" => "loop_pages", "linked" =>  "ocmx_about_us"),
					array("label" => "Enter Custom", "description" => "Enter a Custom 'About Us' Description for the site Footer.","name" => "ocmx_about_us",  "id" => "ocmx_about_us","input_type" => "memo", "linked" =>  "ocmx_about_us_page"),
				)
		),
		array("label" => "Promote Post Options", "description" => "This will include the AddThis social bar at the bottom of your posts.", "name" => "ocmx_promote_posts", "default" => "yes", "id" => "ocmx_promote_posts", "input_type" => "select", "options" => array("Yes" => "yes", "No" => "no")),		
		array(
				"main_section" => "Post Meta",
				"main_description" => "These settings control which post meta is displayed on posts.",
				"sub_elements" => 
					array(
						array("label" => "Author Link", "description" => "Uncheck to hide the author link.", "name" => "ocmx_meta_author", "default" => "true", "id" => "ocmx_meta_author", "input_type" => "checkbox"),
						array("label" => "Comments Link", "description" => "Uncheck to hide the comments link.", "name" => "ocmx_meta_comments", "default" => "true", "id" => "ocmx_meta_comments", "input_type" => "checkbox"),
						array("label" => "Tags", "description" => "Uncheck to hide the tags.", "name" => "ocmx_meta_tags", "default" => "true", "id" => "ocmx_meta_tags", "input_type" => "checkbox"),
						array("label" => "Date", "name" => "ocmx_meta_date", "Uncheck to hide the date on posts and archives.", "default" => "true", "id" => "ocmx_meta_date", "input_type" => "checkbox"),
					)
				),
		array(
			"main_section" => "RSS Details",
			"main_description" => "This will allow visitors to subscribe to your custom RSS feed, as well as your Feedburner Feed via e-mail.",
			"sub_elements" => 
				array(
					array("label" => "RSS URL", "description" => "", "name" => "ocmx_rss_url", "default" => "", "id" => "", "input_type" => "text"),
					array("label" => "Feedburner ID", "description" => "", "name" => "ocmx_feedburner_id", "default" => "", "id" => "", "input_type" => "text")
				)
		),
		array("label" => "Custom Footer Text", "description" => "", "name" => "ocmx_custom_footer", "default" => "Copyright 2011. Press was created in WordPress by Obox Themes."	, "id" => "ocmx_custom_footer", "input_type" => "memo"),
				array("label" => "Hide Obox Logo", "description" => "Hide the Obox Logo from the footer.", "name" => "ocmx_logo_hide", "default" => "false", "id" => "ocmx_logo_hide", "input_type" => "checkbox"),
		array("label" => "Site Analytics", "description" => "Enter in the Google Analytics Script here.","name" => "ocmx_googleAnalytics", "default" => "", "id" => "","input_type" => "memo"),
		array(
                      "main_section" => "Press Trends Analytics",
                      "main_description" => "Select Yes Opt out. No personal data is collected.",
                      "sub_elements" =>
                         array(
                             array("label" => "Disable Press Trends?", "description" => "PressTrends helps Obox build better themes and provide awesome support by retrieving aggregated stats. PressTrends also provides a <a href='http://wordpress.org/extend/plugins/presstrends/' title='PressTrends Plugin for WordPress' target='_blank'>plugin for you</a> that delivers stats on how your site is performing against similar sites like yours. <a href='http://www.presstrends.me' title='PressTrends' target='_blank'>Learn more</a>","name" => "ocmx_disable_press_trends", "default" => "no", "id" => "ocmx_disable_press_trends", "input_type" => 'select', 'options' => array('Yes' => 'yes', 'No' => 'no'))
                            )
                       )
		
	);
$theme_options["seo_options"] = array(
							array("label" => "Use OCMX SEO", "description" => "Select \"No\" if you are using an SEO plugin.", "name" => "ocmx_seo", "default" => "yes", "input_type" => "select", "options" => array("Yes" => "yes", "No" => "no")),
							array("label" => "Separator", "description" => "Define a new seperator character for your page titles.", "name" => "ocmx_seperator", "default" => "|", "input_type" => "text"),
							array("label" => "Site Wide Title", "description" => "Set your site's meta title.", "name" => "ocmx_meta_title", "default" =>  get_bloginfo("title"), "input_type" => "text"),
							array("label" => "Site Keywords", "description" => "", "name" => "ocmx_meta_keywords", "default" => "", "input_type" => "text"),
							array("label" => "Site Description", "description" => "Use a custom meta description.", "name" => "ocmx_meta_description", "default" => get_bloginfo("description"), "input_type" => "memo")
						
						);

$theme_options["small_ad_options"] = array(
						array(
								"label" => "Number of Small Ads", 
								"description" => "When using the select box, you must click \"Save Changes\" before the blocks are added or removed.", 
								"name" => "ocmx_small_ads", 
								"id" =>  "ocmx_small_ads",
								"prefix" => "ocmx_small_ad",
								"default" => "0", 
								"input_type" => "select", 
								"options" => array("None" => "0", "1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10"), 
								"args" => array("width" => 125, "height" => "125")
							)
					  );
$theme_options["medium_ad_options"] = array( 
						array(
								"label" => "Number of Medium Ads", 
								"description" => "", 
								"name" => "ocmx_medium_ads", 
								"id" =>  "ocmx_medium_ads",
								"prefix" => "ocmx_medium_ad", 
								"default" => "0", 
								"input_type" => "select", 
								"options" => array("None" => "0", "1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10"), 
								"args" => array("width" => 290, "height" => "250")
							)
						);
$theme_options["custom_advert_options"] =
	array(
		array(
			"main_section" => "Post Banner Ad",
			"main_description" => "These settings allow you to manage your custom adverts which display underneathe the Article in your Post Pages. Use the \"Media\" section to upload you ad image, and paste the image url into the \"Image url\" text field.",
			"sub_elements" => 
				array(
					array("label" => "Advert Title", "description" => "", "name" => "ocmx_main_ad_title", "default" => "", "id" =>  "ocmx_main_ad_title", "input_type" => "text"),
					array("label" => "Advert Link", "description" => "", "name" => "ocmx_main_ad_href", "default" => "", "id" => "", "input_type" => "text"),
					array("label" => "Image url", "description" => "", "name" => "ocmx_main_ad_image", "default" => "", "id" => "", "input_type" => "text"),
					array("label" => "Advert Script", "description" => "", "name" => "ocmx_main_ad_buysell_id", "default" => "", "id" => "ocmx_main_ad_buysell_id", "input_type" => "memo")
				)
			)
	);
$theme_options["home_page_options"] = array(
		array(
			  	"label" => "Home Page Layout",
				"description" => "Select whether you'd like to have a Blog home page with a sidebar, or use the business layout.",
				"name" => "ocmx_home_page_layout", "default" => "widget",
				"id" => "ocmx_home_page_layout",
				"input_type" => "hidden",
				"default" => "widget",
				"options" => 
					array(
						  	"blog" => array("label" => "Regular Blog Layout", "description" => "Perfect if you just want your site to be a blog.", "image" => get_bloginfo('template_directory')."/ocmx/images/blog-layout.png"),
							"biz" => array("label" => "Business Layout (Preset)", "description" => "Setup your home page to look like a business site.", "image" => get_bloginfo('template_directory')."/ocmx/images/biz-layout.png"),
							"widget" => array("label" => "Widget Driven (Advanced)", "description" => "You determine how to layout your page via widgets.", "image" => get_bloginfo('template_directory')."/ocmx/images/widgetized-layout.png"),
						)
				)
	);
$theme_options["blog_home_options"] =
	array(
		array("label" => "Post Count", "description" => "Number of Posts to display on the Home Page (Used only with the 'Regular Blog' layout).", "name" => "ocmx_home_page_posts", "default" => "5", "id" => "", "input_type" => "select", "options" => array("1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10", "15" => "15", "20" => "20")),
		array("label" => "Category", "description" => "Which Category will we display on the Home Page (Used only with the 'Regular Blog' layout)?", "name" => "ocmx_home_page_categories", "default" => "", "id" => "", "input_type" => "select", "options" => "loop_categories"),		
	);
$theme_options["biz_home_options"] =
	array(
		array(
				"main_section" => "Feature Slider",
				"main_description" => "Select which pages will be used for the Feature Slider.",
				"sub_elements" => 
					array(
						array("label" => "Category", "description" => "", "name" => "ocmx_feature_post_cat", "default" => "0", "id" => "ocmx_feature_post_cat", "input_type" => "select", "options" => "loop_categories"),
						array("label" => "Post Count", "description" => "", "name" => "ocmx_feature_post_count", "default" => "0", "id" => "ocmx_feature_post_count", "input_type" => "select", "options" => array("1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10", "15" => "15", "20" => "20")),
						array("label" => "Randomize", "description" => "Randomly order the posts", "name" => "ocmx_feature_post_randomize", "default" => "0", "id" => "ocmx_feature_post_randomize", "input_type" => "select", "options" => array("Yes" => "yes", "No" => "no"))
						
					)
			),
		array(
				"main_section" => "Multi Column",
				"main_description" => "Multi Column widget for the Home Page.",
				"sub_elements" => 
					array(
						array("label" => "Category", "description" => "", "name" => "ocmx_multi_col_cat", "default" => "0", "id" => "ocmx_multi_col_cat", "input_type" => "select", "options" => "loop_categories"),
						array("label" => "Post Count", "description" => "", "name" => "ocmx_multi_col_count", "default" => "0", "id" => "ocmx_multi_col_count", "input_type" => "select", "options" => array("4" => "4", "8" => "8", "12" => "12", "16" => "16", "20" => "20"))
					)	
			),
		array(
				"main_section" => "Dual Column",
				"main_description" => "Multi Column widget for the Home Page.",
				"sub_elements" => 
					array(
						array("label" => "Category", "description" => "", "name" => "ocmx_dual_col_cat", "default" => "0", "id" => "ocmx_dual_col_cat", "input_type" => "select", "options" => "loop_categories"),
						array("label" => "Post Count", "description" => "", "name" => "ocmx_dual_col_count", "default" => "0", "id" => "ocmx_dual_col_count", "input_type" => "select", "options" => array("2" => "2", "4" => "4", "6" => "6", "8" => "8", "10" => "10"))
						)
				)
	);
$theme_options["widget_home_options"] =
		array(
			array(
					"label" => "Widgetized", "description" => "You can use the <strong>OCMX</strong> widgets listed in <a href=\"widgets.php\">Appearance > Widgets</a> to customize your home page.", "input_type" => "hidden"
				)
		);
$theme_options["delete_gallery"] = array( 
						array(
								"label" => "Confirm", 
								"description" => "Are you sure you want to delete this gallery?", 
								"name" => "ocmx_delete_gallery_confirm", 
								"id" =>  "ocmx_delete_gallery_confirm",
								"default" => "0", 
								"input_type" => "select", 
								"options" => array("Yes" => "yes", "No" => "no")
							)
						);
 ?>