<?php
class dual_column_widget extends WP_Widget {
    /** constructor */
    function dual_column_widget() {
        parent::WP_Widget( false, $name = __("(Obox) Two Column", "ocmx"), array("description" => __("Home Page Widget - Display posts from two separate categories side by side.","ocmx") ) );	
    }

    /** @see WP_Widget::widget */
    function widget( $args, $instance ) {		
		$instance_defaults = array ('post_thumb' => 1, 'post_count' => 4, 'show_images' => true, 'show_excerpts' => false);
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP );
		if(isset($instance["post_category"]))
			$use_category = $instance["post_category"];
		if(isset($instance["post_category"])) :
			$use_cat = get_category_by_slug($use_category);
			$catlink = get_category_link($use_cat->term_id);		
			$cat_id = "cat=".$use_cat->term_id."&";
			$the_cat_title = $use_cat->name;
		endif;
		//Grab the oEmbed thumb or featured image for videos if Thumbnails are set
		if (isset( $instance["post_thumb"] ) )
			$post_thumb = $instance["post_thumb"];
		if( isset( $post_thumb ) && $post_thumb == "true" ):
			$post_thumb = 1;
		else :
			$post_thumb = 0;		
		endif;
		//Set the post Aguments and Query accordingly
		$count = 0;
		$numposts = 0;
		$ocmx_posts = new WP_Query($cat_id."showposts=".$post_count); 
		while ( $ocmx_posts->have_posts()) : $ocmx_posts->the_post();
			$numposts++;
		endwhile; ?> 
	       
	<ul class="two-column sub-post-list clearfix">
		<?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
                global $post;
			$link = get_permalink( $post->ID );
			$args  = array( 'postid' => $post->ID, 'width' => 460, 'height' => 280, 'hide_href' => false, 'imglink' => false, 'exclude_video' => $post_thumb, 'imgnocontainer' => true, 'resizer' => '460x280' );
			$image = get_obox_media( $args );
			if( $show_images != "on" || $image == "" ) : $maxlen = 295; else : $maxlen = 275; endif; 
			?>
                <li class="column">	
                	<!--Show Featured Image or Video -->	
					<?php if( $show_images == "on" ) : ?>
                        <div class="post-image">
                            <a href="<?php echo $link; ?>" title="<?php echo $this_post->post_title; ?>">
                            	<?php echo $image; ?>
                            </a>
                        </div>
					<?php elseif( $image = "" && get_option("ocmx_auto_home_images") != "no" ) : ?>
                        <a href="<?php echo $link; ?>" title="<?php echo $this_post->post_title; ?>">
                            <?php get_the_post_thumbnail( $post->ID, array( 460, 280 ) ); ?>
                        </a>   
                    <?php endif; ?>
                    	<!--Show the Excerpt -->
                        <div class="copy">
                        	<h3 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
                       		<?php if( $show_excerpts == "on" ) :
                            	the_excerpt(); ?>
                                <p><a href="<?php echo $link; ?>" class="action-link"><?php _e("Continue Reading", "ocmx"); ?> &rarr;</a></p>
                        	<?php endif; ?>
                        </div>
				</li>						
		<?php endwhile; ?>
	</ul>
	
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		$instance_defaults = array ('post_thumb' => 1, 'post_count' => 2, 'show_images' => true, 'show_excerpts' => false);
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP );
	?>
       <p><label for="<?php echo $this->get_field_id('post_category'); ?>">Category</label>
       <select size="1" class="widefat" id="<?php echo $this->get_field_id("post_category"); ?>" name="<?php echo $this->get_field_name("post_category"); ?>">
            <option <?php if( $post_category == 0 ){echo "selected=\"selected\"";} ?> value="0">All</option>
            <?php
                    $category_args = array('hide_empty' => false);
                    $option_loop = get_categories($category_args);
                    foreach($option_loop as $option_label => $value)
                        { 	
                            // Set the $value and $label for the options
                            $use_value =  $value->slug;
                            $label =  $value->cat_name;
                            //If this option == the value we set above, select it
                            if( $use_value == $post_category )
                                { $selected = " selected='selected' "; }
                            else
                                { $selected = " "; }
            ?>
                            <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
            <?php 
                        }
            ?>
        </select>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('post_count'); ?>">Post Count</label>
        <select size="1" class="widefat" id="<?php echo $this->get_field_id('post_count'); ?>" name="<?php echo $this->get_field_name('post_count'); ?>">
            <?php $i = 2;
			while( $i < 24 ) :?>
				<option <?php if( $post_count == $i ) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
			<?php if( $i < 2 ) :
					$i++;
				else: 
					$i=( $i+2 );
				endif;
			endwhile; ?>
        </select>
    </p>
	<p>
        <label for="<?php echo $this->get_field_id('post_thumb'); ?>">Thumbnails</label>
        <select size="1" class="widefat" id="<?php echo $this->get_field_id('post_thumb'); ?>" name="<?php echo $this->get_field_name('post_thumb'); ?>">
                <option <?php if( $post_thumb == "true" ) : ?>selected="selected"<?php endif; ?> value="true">Post Feature Image</option>
                <option <?php if( $post_thumb == "false" ) : ?>selected="selected"<?php endif; ?> value="false">Videos</option>
        </select>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('show_images'); ?>">
            <input type="checkbox" <?php if( $show_images == "on" ) : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_images'); ?>" name="<?php echo $this->get_field_name('show_images'); ?>">
            Show Images / Video
        </label>
    </p>
    
    <p>
        <label for="<?php echo $this->get_field_id('show_excerpts'); ?>">
        	<input type="checkbox" <?php if( $show_excerpts == "on" ) : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_excerpts'); ?>" name="<?php echo $this->get_field_name('show_excerpts'); ?>">
			Show Excerpts
        </label>
	</p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("dual_column_widget");'));

?>