<?php
class sidebar_gallery_widget extends WP_Widget {
    /** constructor */
    function sidebar_gallery_widget() {
        parent::WP_Widget(false, $name = "(Obox) Sidebar Gallery Widget", array("description" => "Sidebar Widget - Show off your theme's latest gallery images."));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        $instance_defaults = array ('title' => '', 'splurb' => '', 'use_gallery' => 1);
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP );
		global $gallery_id;
		
		if(!($instance["use_gallery"])) :
			$gallery_id = 0;
		else :
			$gallery_id = $instance["use_gallery"];
		endif;
		$gallery_dtl = fetch_ocmx_gallery($gallery_id, "dbDate", "DESC");
		$upload_dir = wp_upload_dir();
		
		//Set the post Aguments and Query accordingly
		$count = 1; ?>
		<li id="gallery-widget">
        	<div class="content">
				<?php if ( ! empty( $title ) ) { ?>
					<h2 class="widgettitle"><?php echo $title; ?></h2>
                 <?php } ?>
                <ul class="latest-gallery clearfix">	
                <?php foreach($gallery_dtl as $gallery_list) :
                    $large_image = $upload_dir["baseurl"]."/ocmx-gallery/large/".$gallery_list->Image;
                    $this_image = $upload_dir["baseurl"]."/ocmx-gallery/thumbs/".$gallery_list->Image;
                ?>
                    <li>
                        <a href="<?php echo get_gallery_link($gallery_list); ?>">
                            <img src="<?php bloginfo('template_directory'); ?>/functions/timthumb.php?src=<?php echo $this_image; ?>&w=120&h=80&q=100&f=<?php echo $gallery_list->image_effect; ?>" border="0" alt="<?php echo $gallery_list->Item; ?>" /></span>
                        </a>
                    </li>
				<?php 
                    $count++;
                endforeach; ?>
            	</ul>
			</div>
		</li
<?php 
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		$instance_defaults = array ('title' => '', 'splurb' => '', 'use_gallery' => 1);
		$instance_args = wp_parse_args( $instance, $instance_defaults );
		extract( $instance_args, EXTR_SKIP );
; 
?>
           	<p><label for="<?php echo $this->get_field_id('title'); ?>">Title<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
			<p><label for="<?php echo $this->get_field_id('use_gallery'); ?>">List Specific Gallery</label>
               <select size="1" class="widefat" id="<?php echo $this->get_field_id("use_gallery"); ?>" name="<?php echo $this->get_field_name("use_gallery"); ?>">
                    <option <?php if($use_gallery == 0){echo "selected=\"selected\"";} ?> value="0">All Images</option>
                    <?php
						$gallery_list = list_ocmx_galleries();
						foreach($gallery_list as $this_gallery) :
							// Set the $value and $label for the options
							$gallery_id =  $this_gallery->menuId;
							$gallery_name =  $this_gallery->GalleryTitle;
							//If this option == the value we set above, select it
							if($gallery_id == $use_gallery)
								{$selected = " selected='selected' ";}
							else
								{$selected = " ";}
                    ?>
                    		<option <?php echo $selected; ?> value="<?php echo $gallery_id; ?>"><?php echo $gallery_name; ?></option>
                    <?php endforeach;?>
                </select>
			</p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("sidebar_gallery_widget");'));

?>