<?php
class press_slider_widget extends WP_Widget {
    /** constructor */
    function press_slider_widget() {
        parent::WP_Widget(false, $name = "(Obox) Slider", array("description" => "Large Slider widget for the Home Page"));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        // Turn $args array into variables.
        extract( $args );
        
        // Turn $instance array into variables
        $instance_defaults = array ('post_thumb' => true, 'auto_interval' => 0);
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP );
		if(isset($instance["post_category"]))
			$use_category = $instance["post_category"];
		if($instance["post_category"]):	
			$use_cat = get_category_by_slug($use_category);
			$catlink = get_category_link($use_cat->term_id);		
			$cat_id = "cat=".$use_cat->term_id."&";
			$the_cat_title = $use_cat->name;
		endif;
		if(!($instance["randomize"])) :
			$order = "date";
		else :
			$order = $instance["randomize"];
		endif;
       //Fetch the category for the widget
		if(!($instance["post_count"])) :
	        $post_count = 6;
		else :
    	    $post_count = $instance["post_count"];
		endif;
		
		//Set auto sliding
		if(!($instance["auto_interval"])) :
			$auto_interval = "0";
		else :
	    	$auto_interval = $instance["auto_interval"];
		endif;
		//Grab the oEmbed thumb or featured image for videos if Thumbnails are set
		if (isset( $instance["post_thumb"] ) )
			$post_thumb = $instance["post_thumb"];
		if( isset( $post_thumb ) && $post_thumb == "true" ):
			$post_thumb = 1;
		else :
			$post_thumb = 0;		
		endif;
		//Set the post Aguments and Query accordingly
		$ocmx_featured = new WP_Query($cat_id."&showposts=".$post_count."&orderby=".$order);
		
				
		//$ocmx_featured = get_posts("cat=".$use_catId->term_id.);
?>
        <div class="feature-post">
        	<?php if($post_count != '1'): ?>
	            <a href="#" class="scroller-left" id="scroller-left-btn"><?php _e("Previous", "ocmx"); ?></a>
	            <a href="#" class="scroller-right" id="scroller-right-btn"><?php _e("Next", "ocmx"); ?></a>
            <?php endif; ?>
			<div class="feature-post-image">
				<?php $i = 0;
                while ($ocmx_featured->have_posts()) : $ocmx_featured->the_post();	
					global $post;	
                    $this_post = get_post($post->ID);					
					$args  = array( 'postid' => $post->ID, 'width' => 960, 'hide_href' => false, 'imglink' => false, 'exclude_video' => $post_thumb, 'imgnocontainer' => true, 'resizer' => '960' );
					$image = get_obox_media( $args );
                    $link = get_permalink($post->ID);
		    		$alt_title = str_replace("\"", "'", $this_post->post_title);
					if($i == "0") :
						$image_class = "floatleft";
					else :
						$image_class = "no_display";
					endif; ?>
                    <div class="<?php echo $image_class; ?>" id="image-slide-<?php echo $this_post->ID; ?>">
                        <?php echo $image; 
                         $i++; ?>
                    </div>
				<?php endwhile; ?>
            </div>
			<?php  $i = 0;
			while ($ocmx_featured->have_posts()) : $ocmx_featured->the_post();		
				$this_post = get_post($post->ID);
		    	$alt_title = str_replace("\"", "'", $this_post->post_title);
				if($i == "0") :
					$post_class = "feature-post-content";
				else :
					$post_class = "no_display";
				endif;
				$link = get_permalink($this_post->ID);
			?>
                <div class="<?php echo $post_class; ?>" id="post-slide-<?php echo $this_post->ID; ?>">
                    <h1><a href="<?php echo get_permalink($this_post->ID); ?>" title="<?php echo $alt_title; ?>"><?php echo $this_post->post_title; ?></a></h1>
                     <?php the_excerpt(); ?>
                     <p><a href="<?php echo $link; ?>" class="action-link"><?php _e("Continue Reading", "ocmx"); ?> &rarr;</a></p>
                </div>
            <?php $i++; endwhile; ?>
	        <div class="no_display" id="feature-auto-slide"><?php echo $auto_interval; ?></div>
        </div>
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
       
        // Turn $instance array into variables
        $instance_defaults = array ('post_thumb' => 1, 'post_count' => 4, 'auto_interval' => 0);
        $instance_args = wp_parse_args( $instance, $instance_defaults );
        extract( $instance_args, EXTR_SKIP );
		if(isset($instance["post_category"]))
			$post_category = $instance["post_category"];
		
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('post_count'); ?>">Post Count</label>
            <select size="1" class="widefat" id="<?php echo $this->get_field_id('post_count'); ?>" name="<?php echo $this->get_field_name('post_count'); ?>">
                <?php for( $i = 1; $i < 16; $i++ ) : ?>
                    <option <?php if( $post_count == $i ) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                <?php endfor; ?>
            </select>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('randomize'); ?>">Randomize Posts</label>
            <select size="1" class="widefat" id="<?php echo $this->get_field_id('randomize'); ?>" name="<?php echo $this->get_field_name('randomize'); ?>">
                 <option <?php if(isset($randomize_posts) && $randomize_posts == "date" ) : ?>selected="selected"<?php endif; ?> value="date">No</option>
                 <option <?php if(isset($randomize_posts) && $randomize_posts == "rand" ) : ?>selected="selected"<?php endif; ?> value="rand">Yes</option>
            </select>
        </p>
        <p><label for="<?php echo $this->get_field_id('post_category'); ?>">Category</label>
           <select size="1" class="widefat" id="<?php echo $this->get_field_id("post_category"); ?>" name="<?php echo $this->get_field_name("post_category"); ?>">
                <option <?php if( $post_category == 0 ){ echo "selected=\"selected\""; } ?> value="0">All</option>
                <?php
                        $category_args = array('hide_empty' => false);
                        $option_loop = get_categories( $category_args );
                        foreach( $option_loop as $option_label => $value )
                            { 	
                                // Set the $value and $label for the options
                                $use_value =  $value->slug;
                                $label =  $value->cat_name;
                                //If this option == the value we set above, select it
                                if( $use_value == $post_category )
                                    { $selected = " selected='selected' "; }
                                else
                                    { $selected = " "; }
                ?>
                                <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
                <?php 
                            }
                ?>
            </select>
        </p>
         <p>
        <label for="<?php echo $this->get_field_id('post_thumb'); ?>">Thumbnails</label>
        <select size="1" class="widefat" id="<?php echo $this->get_field_id('post_thumb'); ?>" name="<?php echo $this->get_field_name('post_thumb'); ?>">
                <option <?php if( $post_thumb == "true" ) : ?>selected="selected"<?php endif; ?> value="true">Post Feature Image</option>
                <option <?php if( $post_thumb == "false" ) : ?>selected="selected"<?php endif; ?> value="false">Videos</option>
        </select>
        </p>
        <p><label for="<?php echo $this->get_field_id('auto_interval'); ?>">Auto Slide Interval (seconds)<input class="shortfat" id="<?php echo $this->get_field_id('auto_interval'); ?>" name="<?php echo $this->get_field_name('auto_interval'); ?>" type="text" value="<?php if(isset($auto_interval)) {echo $auto_interval;}?>" /><br /><em>(Set to 0 for no auto-sliding)</em></label></p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("press_slider_widget");'));

?>